Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159050 - screen goes blank on Mac mini
Summary: screen goes blank on Mac mini
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 5
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard: MassClosed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-28 06:08 UTC by Colin Charles
Modified: 2008-08-02 23:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-20 04:39:51 UTC


Attachments (Terms of Use)

Description Colin Charles 2005-05-28 06:08:45 UTC
Description of problem: From the 20050526 tree, screen goes blank on Mac mini,
making Fedora uninstallable.

After holding down the C key and getting to the yaboot prompt, I've done
combinations of:

linux
linux text
linux maxcpus=1
linux maxcpus=1 noisapnp
linux resolution=1024x768

And varying other options. Litereally after it passes a few kernel messages,
openpic scrolls across the screen, the monitor goes into sleep mode. Which is
weird, because its run Fedora fine before (and boots up OS X just fine)

anaconda-10.2.1.0-1.ppc.rpm

Comment 1 Paul Nasrat 2005-05-28 14:01:14 UTC
Can you confirm if this occurs on upgrading from a working system to rawhide - 
 particularly kernel/x rather than in the installer.  If text mode is doing this
it sounds like a kernel/fb issue.

Does linux text nofb make any difference?

Comment 2 Colin Charles 2005-05-28 14:40:48 UTC
Unfortunately for me, I can't upgrade the system - I did a nice clean wipe of
the disk (and don't have an older copy of a rawhide snapshot lying around).

linux text nofb doesn't seem to make a difference. Last line on screen:

openpcic: exit 
(I think is what it says)

Comment 3 Jeremy Katz 2005-05-31 03:02:42 UTC
If it's going blank that early, then the kernel fb initialization doesn't like
the  mini.  

Comment 4 Colin Charles 2005-05-31 16:28:45 UTC
Yes, kernel fb is probably to blame. This bug is very much related to bug
#156824, except it occurs even during the installation stages. 

As would be expected though, even a vnc installation would definitely fail.

Comment 5 Colin Charles 2005-06-01 20:50:12 UTC
As per comment #1 from nasrat, yes, it does occur during an upgrade. FC4t3 ->
rawhide killed it. Now it goes blank pretty much right after the penguin logo,
ala bug #156824.

Comment 6 Dave Jones 2006-03-06 05:29:54 UTC
Peter, you've been playing with one of these recently, any ideas ?

Comment 7 Dave Jones 2006-10-16 21:18:51 UTC
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Comment 8 David Woodhouse 2006-11-23 09:44:06 UTC
Is this still happening? Try video=ofonly or try booting with the monitor
disconnected, since some monitors lie about what video modes they can do.

Comment 9 Jon Stanley 2008-01-20 04:39:51 UTC
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.


Note You need to log in before you can comment on or make changes to this bug.